|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QPageSetupDialog Class Reference

    #include <QPageSetupDialog>

Part of the QtGui module.

Inherits QAbstractPageSetupDialog.

- List of all members, including inherited members

### Public Functions

- QPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )
- virtual int exec ()

- 2 public functions inherited from QAbstractPageSetupDialog
- 9 public functions inherited from QDialog
- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QDialog
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 5 public slots inherited from QDialog
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QPageSetupDialog offers configuration for the page related options on a printer.

On Windows and Mac OS X the page setup dialog is implemented using the native page setup dialogs.

## Member Function Documentation

### QPageSetupDialog::QPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )

Constructs a page setup dialog that configures printer with parent as the parent widget.

### int QPageSetupDialog::exec () `[virtual]`

Executes the the page setup dialog. The printer will be configure according to the users choices when the function exists.

Reimplemented from QAbstractPageSetupDialog.